module CryptoArbitrer
  module SpecHelper
    def stub_crypto_arbitrer_get(url, mock_name)
      stub_request(:get, url)
        .to_return(body: open(File.expand_path("../../../spec/mocks/#{mock_name}", __FILE__)).read)
    end
    def mock_crypto_arbitrer_requests!
      stub_crypto_arbitrer_get("https://btc-e.com/exchange/btc_usd", "btce_btc_usd.html")
      stub_crypto_arbitrer_get("http://www.eldolarblue.net/getDolarBlue.php?as=json", 'dolarblue.json')
      stub_crypto_arbitrer_get('http://data.mtgox.com/api/2/BTCUSD/money/ticker_fast', 'mtgox.json')
      stub_crypto_arbitrer_get('http://www.dolarparalelo.org/', 'dolarparalelo.html')
      %w(ltc nmc nvc trc ppc ftc cnc).each do |crypto|
        stub_crypto_arbitrer_get("https://btc-e.com/exchange/#{crypto}_btc", "btce_#{crypto}_btc.html")
      end
      %w(uyu brl clp sgd eur).each do |currency|
        stub_crypto_arbitrer_get("http://rate-exchange.appspot.com/currency?from=usd&to=#{currency}",
          "rate_exchange_usd_#{currency}.json")
      end
    end
  end
end
